Class | Chef::Provider::Cron::Solaris
In: | lib/chef/provider/cron/solaris.rb
Parent: | Chef::Provider::Cron

### Methods

action_create action_delete compare_cron load_current_resource new write_crontab

### Included Modules

Chef::Mixin::Command

### Constants

CRON_PATTERN | = | /([-0-9*,\/]+)\s([-0-9*,\/]+)\s([-0-9*,\/]+)\s([-0-9*,\/]+)\s([-0-9*,\/]+)\s(.*)/

### Attributes

cron_empty | [RW] |
cron_exists | [RW] |

### Public Class methods

new(new_resource, run_context)

### Public Instance methods

action_create()
action_delete()
compare_cron()
load_current_resource()
write_crontab(crontab)

[Validate]